/** Environment variables providing connection configuration defaults.
 *
 *  See {@link https://www.postgresql.org/docs/current/libpq-envars.html} for a detailed description.
 */
export interface Environment {
    PGCLIENTENCODING: string;
    PGCONNECT_TIMEOUT: string;
    PGDATABASE: string;
    PGHOST: string;
    PGPASSWORD: string;
    PGPORT: string;
    PGSSLMODE: string;
    PGUSER: string;
}
export declare const host: string;
export declare const port: number;
export declare const user: string;
export declare const database: string | undefined;
export declare const password: string | undefined;
export declare const preparedStatementPrefix = "tsp_";
export declare const sslMode: string | undefined;
export declare const connectionTimeout: number | undefined;
export declare const clientEncoding: string | undefined;
