"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.clientEncoding = exports.connectionTimeout = exports.sslMode = exports.preparedStatementPrefix = exports.password = exports.database = exports.user = exports.port = exports.host = void 0;
function secToMsec(value) {
    if (typeof value === "number" && !isNaN(value)) {
        return value * 1000;
    }
}
const env = process.env;
exports.host = env.PGHOST || 'localhost';
exports.port = parseInt(env.PGPORT, 10) || 5432;
exports.user = env.PGUSER || (process.platform === 'win32' ? process.env.USERNAME : process.env.USER);
exports.database = env.PGDATABASE;
exports.password = env.PGPASSWORD;
exports.preparedStatementPrefix = 'tsp_';
exports.sslMode = env.PGSSLMODE;
exports.connectionTimeout = secToMsec(parseInt(env.PGCONNECT_TIMEOUT, 10));
exports.clientEncoding = env.PGCLIENTENCODING;
//# sourceMappingURL=defaults.js.map