/** A double-ended queue. All queue operations are `O(1)`. */
export declare class Queue<T> {
    #private;
    /** Returns the current number of elements in the queue. */
    get length(): number;
    /** Returns whether the deque is empty. */
    get empty(): boolean;
    /** Inserts item to first slot. Returns the new length of the deque. */
    unshift(item: T): number;
    /** Removes and returns the first element. */
    shift(): T;
    /** Removes and returns the first element or undefined.  */
    shiftMaybe(): T | undefined;
    expect(expected?: T): T;
    /** Inserts item to the last slot. Returns the new length of the deque. */
    push(item: T): number;
    private shrinkArray;
    private growArray;
}
